import request from '@/utils/request'

// 查询阀井位置列表
export function listValveWellPosition(query) {
  return request({
    url: '/gas/valveWellPosition/list',
    method: 'get',
    params: query
  })
}

// 查询阀井位置详细
export function getValveWellPosition(id) {
  return request({
    url: '/gas/valveWellPosition/' + id,
    method: 'get'
  })
}

// 新增阀井位置
export function addValveWellPosition(data) {
  return request({
    url: '/gas/valveWellPosition',
    method: 'post',
    data: data
  })
}

// 修改阀井位置
export function updateValveWellPosition(data) {
  return request({
    url: '/gas/valveWellPosition',
    method: 'put',
    data: data
  })
}

// 删除阀井位置
export function delValveWellPosition(id) {
  return request({
    url: '/gas/valveWellPosition/' + id,
    method: 'delete'
  })
}
